Skip to content
EN

查询单个任务(免费

方法: GET

vip 账号的会在 video. download_url 返回 无水印地址,有时可能为空,需要另外从 无水印接口获取 "state": "completed" 枚举值: "pending", "processing", "completed", "failed"

请求参数

Path 参数

text
task_id
string
任务ID
必需

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

请求示例代码

Shell

bash
curl --location -g --request GET '{{BASE_URL}}/luma/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "id": "77aae5b1-7e0e-4038-9e8d-d59a0dd79b5e",
    "liked": null,
    "state": "completed",
    "video": {
        "url": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/d4c505f0-c8c8-417d-910e-a015ed54faa1_watermarked_video0e8a3e398836447a1a33bd589ff5d56dd.mp4",
        "width": 656,
        "height": 1552,
        "thumbnail": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/a9b314cb-78d2-4004-939f-effae13fc9e6_video_0_thumb.jpg",
        "download_url": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/825f16cb-2459-4a0a-974a-52ecf49bfa35_video0e8a3e398836447a1a33bd589ff5d56dd.mp4"
    },
    "prompt": "In a modern airport, travelers rush to check in.",
    "user_id": "",
    "batch_id": "48990573-7235-4654-9f2a-58ce5f30ec5f",
    "thumbnail": {
        "url": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/a9b314cb-78d2-4004-939f-effae13fc9e6_video_0_thumb.jpg",
        "width": 656,
        "height": 1552
    },
    "video_raw": {
        "url": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/825f16cb-2459-4a0a-974a-52ecf49bfa35_video0e8a3e398836447a1a33bd589ff5d56dd.mp4",
        "width": 656,
        "height": 1552
    },
    "created_at": "2024-11-01T10:20:34.197000Z",
    "last_frame": {
        "url": "https://storage.cdn-luma.com/lit_lite_inference_v1.6-xl/88f92809-9f0b-4a53-80c0-3b77403c9d30/3cd218c2-f53a-4334-bb66-d29f2ed6be32_video_0_last_frame.jpg",
        "width": 656,
        "height": 1552
    },
    "pipeline_id": "V1",
    "queue_state": null,
    "estimate_wait_seconds": null
}